<div class="container-fluid mx-auto mb-5" *ngIf='loadingEquipment'>
  <div class="row">
    <div class="card col-md-8 col-md-offset-3 mx-auto">
      <div id="panel-creation_equipment" class="panel panel-creation_equipment">

        <div class="col-xs-12" id="title">
          <h4>Modification de l'equipement : </h4>
        </div>


        <div class="panel-body">
          <div class="row">
            <div class="col-lg-12">
              <form [formGroup]="equipmentForm" (ngSubmit)="equipmentForm.valid && submitRegistration(equipmentForm.value)"
                novalidate>
                <div class="form-group row">
                  <label class="col-4 col-form-label">Nom de l'equipement :</label>
                  <div class="col-8">
                    <input type="text" id="equipmentName" class="form-control" tabindex="1" placeholder="Entrez le nom de l'equipement..."
                      formControlName="equipmentName" [ngModel]="equipment.equipmentName">
                  </div>
                </div>

                <div class="form-group row">
                  <label class="col-4 col-form-label">Description de l'equipement :</label>
                  <div class="col-8">
                    <input type="text" tabindex="2" class="form-control" id="equipmentDescription" placeholder="Entrez la description de l'equipement..."
                      formControlName="equipmentDescription" [(ngModel)]="equipment.equipmentDescription">
                  </div>
                </div>

                <div class="form-group  row">
                  <label class="col-4 col-form-label">Etat de l'equipement :</label>
                  <div class="col-8">
                    <input type="text" tabindex="3" class="form-control" id="equipmentState" placeholder="Entrez l'etat de l'equipement..."
                      formControlName="equipmentState" [ngModel]="equipment.equipmentState">
                  </div>
                </div>


                <div class="form-group  row">
                  <label class="col-4 col-form-label">Stock de l'equipement :</label>
                  <div class="col-8">
                    <input type="text" tabindex="4" class="form-control" id="equipmentStock" placeholder="Entrez le stock de l'equipement..."
                      formControlName="equipmentStock" [ngModel]="equipment.equipmentStock">
                  </div>
                </div>


                <div class="form-group  row">
                  <label class="col-4 col-form-label">Stock sorti de l'equipement :</label>
                  <div class="col-8">
                    <input type="text" tabindex="5" class="form-control" id="equipmentOut" placeholder="Entrez le nombre d'equipement sorti..."
                      formControlName="equipmentOut" [ngModel]="equipment.equipmentOut">
                  </div>
                </div>

                <div class="form-group row">
                  <label class="col-4 col-form-label">Taille de l'equipement :</label>
                  <div class="col-8">
                    <input type="text" tabindex="6" class="form-control" id="equipmentSize" placeholder="Entrez la tallle de l'equipement..."
                      formControlName="equipmentSize" [ngModel]="equipment.equipmentSize">
                  </div>
                </div>
                <div class="form-group  row">
                  <label class="col-4 col-form-label">Prix de la location par jour :</label>
                  <div class="col-8">
                    <input type="number" class="form-control" id="equipmentPrice" placeholder="Prix en € par jour"
                      formControlName="equipmentPrice" [ngModel]="equipment.priceLocation">
                  </div>
                </div>

                <div class="form-group">
                  <div class="row">
                    <div class="col-md-12 col-sm-offset-3 row">
                      <div class="col-md-6">
                        <button tabindex="7" class=' form-control btn btn-primary' (click)="deleteEquipment()">Supprimer
                          l'equipement</button>
                      </div>
                      <div class="col-md-6">
                        <button tabindex="7" class=' form-control btn btn-primary' type='submit' [disabled]='!equipmentForm.valid'>Modifier
                          l'equipement</button>
                      </div>
                    </div>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
